Bug 186737 - audio/sooperlooper: Update to version 1.7.0
audio/sooperlooper: Update to version 1.7.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 18:40 UTC by tkato432
Modified: 2014-02-27 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (18.40 KB, patch)
2014-02-13 18:40 UTC, tkato432
no flags Details | Diff
audio_sooperlooper.diff (19.10 KB, patch)
2014-02-24 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-13 18:40:01 UTC
- Update to version 1.7.0

New file:
files/patch-libs__pbd__pbd__stl_delete.h

Remove file:
files/patch-configure
files/patch-libs-midi-configure
files/patch-src-plugin.cc
Comment 1 Edwin Groothuis freebsd_committer 2014-02-13 18:41:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-23 06:40:39 UTC
State Changed
From-To: open->feedback

build fails at least on 8X 
http://pkgdev.miwibox.org/latest-per-pkg/sooperlooper/1.7.0/
Comment 3 tkato432 2014-02-24 17:56:19 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2014-02-27 09:15:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2014-02-27 09:15:13 UTC
Author: miwi
Date: Thu Feb 27 09:15:03 2014
New Revision: 346290
URL: http://svnweb.freebsd.org/changeset/ports/346290
QAT: https://qat.redports.org/buildarchive/r346290/

Log:
  - Update to 1.7.0
  
  PR:		186737

Added:
  head/audio/sooperlooper/files/patch-libs__pbd__pathscanner.cpp   (contents, props changed)
  head/audio/sooperlooper/files/patch-libs__pbd__pbd__stl_delete.h   (contents, props changed)
Deleted:
  head/audio/sooperlooper/files/patch-configure
  head/audio/sooperlooper/files/patch-libs-midi-configure
  head/audio/sooperlooper/files/patch-src-plugin.cc
Modified:
  head/audio/sooperlooper/Makefile
  head/audio/sooperlooper/distinfo
  head/audio/sooperlooper/pkg-descr
  head/audio/sooperlooper/pkg-plist

Modified: head/audio/sooperlooper/Makefile
==============================================================================
--- head/audio/sooperlooper/Makefile	Thu Feb 27 09:14:38 2014	(r346289)
+++ head/audio/sooperlooper/Makefile	Thu Feb 27 09:15:03 2014	(r346290)
@@ -2,40 +2,60 @@
 # $FreeBSD$
 
 PORTNAME=	sooperlooper
-PORTVERSION=	1.6.18
-PORTREVISION=	2
+PORTVERSION=	1.7.0
 CATEGORIES=	audio
 MASTER_SITES=	http://essej.net/sooperlooper/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Vamp audio analysis plugin SDK
+COMMENT=	Live audio looping sampler
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-BUILD_DEPENDS=	${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
-LIB_DEPENDS=	libfftw3.so:${PORTSDIR}/math/fftw3 \
-		libjack.so:${PORTSDIR}/audio/jack \
+BUILD_DEPENDS=	ladspa>0:${PORTSDIR}/audio/ladspa
+LIB_DEPENDS=	libjack.so:${PORTSDIR}/audio/jack \
 		liblo.so:${PORTSDIR}/audio/liblo \
-		librubberband.so:${PORTSDIR}/audio/rubberband \
 		libsamplerate.so:${PORTSDIR}/audio/libsamplerate \
 		libsigc-1.2.so:${PORTSDIR}/devel/libsigc++12 \
 		libsndfile.so:${PORTSDIR}/audio/libsndfile \
-		libvamp-sdk.so:${PORTSDIR}/audio/vamp-plugin-sdk
-RUN_DEPENDS=	${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
+		librubberband.so:${PORTSDIR}/audio/rubberband \
+		libvamp-sdk.so:${PORTSDIR}/audio/vamp-plugin-sdk \
+		libfftw3.so:${PORTSDIR}/math/fftw3
+RUN_DEPENDS=	ladspa>0:${PORTSDIR}/audio/ladspa
 
+USES=		compiler:c++0x gmake ncurses pkgconfig
+USE_GNOME=	libxml2
 GNU_CONFIGURE=	yes
-USES=		gmake pkgconfig
-NO_STAGE=	yes
-USE_WX=		2.6+
-WX_UNICODE=	yes
-CONFIGURE_ARGS=	-with-wxconfig-path=${WX_CONFIG}
 USE_LDCONFIG=	yes
 
-CFLAGS+=	-I${LOCALBASE}/include
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-USE_GNOME=	libxml2
+OPTIONS_DEFINE=		ALSA WXGTK
+OPTIONS_DEFAULT=	WXGTK
+OPTIONS_SUB=		yes
+
+ALSA_LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
+ALSA_CONFIGURE_ENV_OFF=	ac_cv_header_alsa_asoundlib_h=no
+WXGTK_USE=		WX=2.6+
+WXGTK_CONFIGURE_ON=	--with-wxconfig-path=${WX_CONFIG}
+WXGTK_CONFIGURE_OFF=	--without-gui
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MWXGTK}
+WX_UNICODE=	yes
+DESKTOP_ENTRIES="SooperLooper" "" "${DATADIR}/sl_logo.xpm" "slgui" \
+		"AudioVideo;Audio;Player;GTK;" ""
+.endif
+
+post-patch:
+	@${FIND} ${WRKSRC} -name "configure" | ${XARGS} ${REINPLACE_CMD} -e \
+		's|$$OPT_FLAGS||'
+
+post-install:
+.if ${PORT_OPTIONS:MWXGTK}
+	(cd ${WRKSRC}/src/gui/pixmaps && ${INSTALL_DATA} sl_logo.xpm \
+		${STAGEDIR}${DATADIR})
+.endif
 
 .include <bsd.port.mk>

Modified: head/audio/sooperlooper/distinfo
==============================================================================
--- head/audio/sooperlooper/distinfo	Thu Feb 27 09:14:38 2014	(r346289)
+++ head/audio/sooperlooper/distinfo	Thu Feb 27 09:15:03 2014	(r346290)
@@ -1,2 +1,2 @@
-SHA256 (sooperlooper-1.6.18.tar.gz) = 087a52186fefb138ac16deebc1ed4b9ff4945ffb4fe3e2170f60fcf97a3a8c38
-SIZE (sooperlooper-1.6.18.tar.gz) = 705462
+SHA256 (sooperlooper-1.7.0.tar.gz) = 99a2ed88b270183e090698ee354c484b971c77494547b5520afa6430e0eb571d
+SIZE (sooperlooper-1.7.0.tar.gz) = 728999

Added: head/audio/sooperlooper/files/patch-libs__pbd__pathscanner.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/sooperlooper/files/patch-libs__pbd__pathscanner.cpp	Thu Feb 27 09:15:03 2014	(r346290)
@@ -0,0 +1,10 @@
+--- libs/pbd/pathscanner.cc.orig
++++ libs/pbd/pathscanner.cc
+@@ -21,6 +21,7 @@
+ #include <cstdlib>
+ #include <cstdio>
+ #include <cstring>
++#include <climits>
+ #include <vector>
+ #include <dirent.h>
+ 

Added: head/audio/sooperlooper/files/patch-libs__pbd__pbd__stl_delete.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/sooperlooper/files/patch-libs__pbd__pbd__stl_delete.h	Thu Feb 27 09:15:03 2014	(r346290)
@@ -0,0 +1,20 @@
+--- libs/pbd/pbd/stl_delete.h.orig
++++ libs/pbd/pbd/stl_delete.h
+@@ -24,7 +24,7 @@
+ /* To actually use any of these deletion functions, you need to
+    first include the revelant container type header.
+ */
+-#if defined(_CPP_VECTOR) || defined(_GLIBCXX_VECTOR) || defined(__SGI_STL_VECTOR)
++#if defined(_LIBCPP_VECTOR) || defined(_GLIBCXX_VECTOR) || defined(__SGI_STL_VECTOR)
+ template<class T> void vector_delete (std::vector<T *> *vec) 
+ {
+ 	typename std::vector<T *>::iterator i;
+@@ -34,7 +34,7 @@
+ 	}
+ 	vec->clear ();
+ }
+-#endif // _CPP_VECTOR || _GLIBCXX_VECTOR || __SGI_STL_VECTOR
++#endif // _LIBCPP_VECTOR || _GLIBCXX_VECTOR || __SGI_STL_VECTOR
+ 
+ #if defined(_CPP_MAP) || defined(_GLIBCXX_MAP) || defined(__SGI_STL_MAP)
+ template<class K, class T> void map_delete (std::map<K, T *> *m) 

Modified: head/audio/sooperlooper/pkg-descr
==============================================================================
--- head/audio/sooperlooper/pkg-descr	Thu Feb 27 09:14:38 2014	(r346289)
+++ head/audio/sooperlooper/pkg-descr	Thu Feb 27 09:15:03 2014	(r346290)
@@ -1,6 +1,6 @@
-SooperLooper is a live looping sampler capable of immediate loop recording,
-overdubbing, multiplying, reversing and more. It allows  for multiple
-simultaneous multi-channel loops limited only by your computer's available
-memory.
+SooperLooper is a live looping sampler capable of immediate loop
+recording, overdubbing, multiplying, reversing and more. It allows for
+multiple simultaneous multi-channel loops limited only by your computer's
+available memory.
 
-WWW:	http://essej.net/sooperlooper/
+WWW: http://essej.net/sooperlooper/

Modified: head/audio/sooperlooper/pkg-plist
==============================================================================
--- head/audio/sooperlooper/pkg-plist	Thu Feb 27 09:14:38 2014	(r346289)
+++ head/audio/sooperlooper/pkg-plist	Thu Feb 27 09:15:03 2014	(r346290)
@@ -1,10 +1,11 @@
 bin/slconsole
-bin/slgui
+%%WXGTK%%bin/slgui
 bin/slregister
 bin/sooperlooper
-share/sooperlooper/presets/bcf2000.slb
-share/sooperlooper/presets/edp4.slb
-share/sooperlooper/presets/midiwizard.slb
-share/sooperlooper/presets/oxy8.slb
-@dirrm share/sooperlooper/presets
-@dirrm share/sooperlooper
+%%DATADIR%%/presets/bcf2000.slb
+%%DATADIR%%/presets/edp4.slb
+%%DATADIR%%/presets/midiwizard.slb
+%%DATADIR%%/presets/oxy8.slb
+%%WXGTK%%%%DATADIR%%/sl_logo.xpm
+@dirrm %%DATADIR%%/presets
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"